query weather($geometry: String!, $interval_type: interval_type!, $date_from: Date, $date_to: Date) {
  weather {
    observations_implemented
    forecasts_implemented
    alerts_implemented
    forecasts_interval_types
    observations_interval_types
    observations(geometry: $geometry, interval_type: $interval_type, date_from: $date_from, date_to: $date_to) {
      id
      origin {
        id
        name
        url
      }
      location {
        id
        geometry
        name
      }
      valid_from
      valid_to
      summary
      sample_type
      interval_type
      icon
      nearest_storm_bearing
      nearest_storm_distance
      precipitation_type
      precipitation_intensity
      precipitation_probability
      precipitation_intensity_error
      temperature
      temperature_min
      temperature_max
      temperature_min_at
      temperature_max_at
      humidity
      dew_point
      uv_index
      wind_gust
      wind_speed
      wind_bearing
      wind_speed_max
      wind_speed_max_at
      wind_speed_max_bearing
      cloud_cover
      uv_index
      visibility
      ozone
      soil_temperatures {
        depth
        temperature
      }
    }
    forecasts(geometry: $geometry, interval_type: $interval_type) {
      id
      origin {
        name
        url
      }
      location {
        id
        geometry
        name
      }
      valid_from
      valid_to
      summary
      sample_type
      interval_type
      icon
      nearest_storm_bearing
      nearest_storm_distance
      precipitation_type
      precipitation_intensity
      precipitation_probability
      precipitation_intensity_error
      temperature
      temperature_min
      temperature_max
      temperature_min_at
      temperature_max_at
      humidity
      dew_point
      uv_index
      wind_gust
      wind_speed
      wind_bearing
      wind_speed_max
      wind_speed_max_at
      wind_speed_max_bearing
      cloud_cover
      uv_index
      visibility
      ozone
      soil_temperatures {
        depth
        temperature
      }
    }
    alerts(geometry: $geometry) {
      id
      sender
      issued_at
      title
      summmary
      description
      url
      category
      urgency
      severity
      certainty
      location {
        name
        geometry
        authority
        authority_id
      }
      valid_from
      valid_to
    }
  }
}

